Computer Security
[EN] securityvulns.ru no-pyccku


Android crossapplication scripting
Published:05.08.2011
Source:
SecurityVulns ID:11836
Type:local
Threat Level:
4/10
Description:Application can script in browser in any domain's context.
Affected:GOOGLE : Android 2.3
 ANDROID : Android 3.1
CVE:CVE-2011-2357 (Cross-application scripting vulnerability in the Browser URL loading functionality in Android 2.3.4 and 3.1 allows local applications to bypass the sandbox and execute arbitrary Javascript in arbitrary domains by (1) causing the MAX_TAB number of tabs to be opened, then loading a URI to the targeted domain into the current tab, or (2) making two startActivity function calls beginning with the targeted domain's URI followed by the malicious Javascript while the UI focus is still associated with the targeted domain.)
Original documentdocumentRoee Hay, Android Browser Cross-Application Scripting (CVE-2011-2357) (05.08.2011)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod